devel/ruby-octokit - The NetBSD Packages Collection

Ruby toolkit for working with the GitHub API

Octokit

Ruby toolkit for the GitHub API.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

www/ruby-sawyer www/ruby-faraday lang/ruby27-base

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfruby26-octokit-4.21.0.tgz
NetBSD 8.0earmv7hfruby27-octokit-4.21.0.tgz
NetBSD 8.0earmv7hfruby25-octokit-4.20.0.tgz
NetBSD 8.0earmv7hfruby26-octokit-4.20.0.tgz
NetBSD 8.0earmv7hfruby27-octokit-4.20.0.tgz
NetBSD 8.0earmv7hfruby26-octokit-4.21.0.tgz
NetBSD 8.0earmv7hfruby27-octokit-4.21.0.tgz
NetBSD 8.0i386ruby25-octokit-4.20.0.tgz
NetBSD 8.0i386ruby26-octokit-4.20.0.tgz
NetBSD 8.0i386ruby27-octokit-4.20.0.tgz
NetBSD 8.0i386ruby26-octokit-4.21.0.tgz
NetBSD 8.0i386ruby27-octokit-4.21.0.tgz
NetBSD 8.0powerpcruby25-octokit-4.20.0.tgz
NetBSD 8.0powerpcruby26-octokit-4.20.0.tgz
NetBSD 8.0powerpcruby27-octokit-4.20.0.tgz
NetBSD 8.0powerpcruby26-octokit-4.21.0.tgz
NetBSD 8.0powerpcruby27-octokit-4.21.0.tgz
NetBSD 8.0powerpcruby26-octokit-4.21.0.tgz
NetBSD 8.0powerpcruby27-octokit-4.21.0.tgz
NetBSD 8.0powerpcruby26-octokit-4.21.0.tgz
NetBSD 8.0powerpcruby27-octokit-4.21.0.tgz
NetBSD 8.0x86_64ruby25-octokit-4.20.0.tgz
NetBSD 8.0x86_64ruby26-octokit-4.20.0.tgz
NetBSD 8.0x86_64ruby27-octokit-4.20.0.tgz
NetBSD 8.0x86_64ruby26-octokit-4.21.0.tgz
NetBSD 8.0x86_64ruby27-octokit-4.21.0.tgz
NetBSD 9.0aarch64ruby26-octokit-4.21.0.tgz
NetBSD 9.0aarch64ruby27-octokit-4.21.0.tgz
NetBSD 9.0aarch64ruby30-octokit-4.21.0.tgz
NetBSD 9.0aarch64ruby25-octokit-4.20.0.tgz
NetBSD 9.0aarch64ruby26-octokit-4.20.0.tgz
NetBSD 9.0aarch64ruby27-octokit-4.20.0.tgz
NetBSD 9.0aarch64ruby30-octokit-4.20.0.tgz
NetBSD 9.0aarch64ruby26-octokit-4.21.0.tgz
NetBSD 9.0aarch64ruby27-octokit-4.21.0.tgz
NetBSD 9.0aarch64ruby30-octokit-4.21.0.tgz
NetBSD 9.0alpharuby26-octokit-4.21.0.tgz
NetBSD 9.0alpharuby27-octokit-4.21.0.tgz
NetBSD 9.0alpharuby25-octokit-4.20.0.tgz
NetBSD 9.0alpharuby26-octokit-4.20.0.tgz
NetBSD 9.0alpharuby27-octokit-4.20.0.tgz
NetBSD 9.0alpharuby26-octokit-4.21.0.tgz
NetBSD 9.0alpharuby27-octokit-4.21.0.tgz
NetBSD 9.0earmv6hfruby26-octokit-4.21.0.tgz
NetBSD 9.0earmv6hfruby27-octokit-4.21.0.tgz
NetBSD 9.0earmv6hfruby30-octokit-4.21.0.tgz
NetBSD 9.0earmv6hfruby25-octokit-4.20.0.tgz
NetBSD 9.0earmv6hfruby26-octokit-4.20.0.tgz
NetBSD 9.0earmv6hfruby27-octokit-4.20.0.tgz
NetBSD 9.0earmv6hfruby30-octokit-4.20.0.tgz
NetBSD 9.0earmv6hfruby26-octokit-4.21.0.tgz
NetBSD 9.0earmv6hfruby27-octokit-4.21.0.tgz
NetBSD 9.0earmv6hfruby30-octokit-4.21.0.tgz
NetBSD 9.0earmv7hfruby26-octokit-4.21.0.tgz
NetBSD 9.0earmv7hfruby27-octokit-4.21.0.tgz
NetBSD 9.0earmv7hfruby30-octokit-4.21.0.tgz
NetBSD 9.0earmv7hfruby25-octokit-4.20.0.tgz
NetBSD 9.0earmv7hfruby26-octokit-4.20.0.tgz
NetBSD 9.0earmv7hfruby27-octokit-4.20.0.tgz
NetBSD 9.0earmv7hfruby30-octokit-4.20.0.tgz
NetBSD 9.0earmv7hfruby26-octokit-4.21.0.tgz
NetBSD 9.0earmv7hfruby27-octokit-4.21.0.tgz
NetBSD 9.0earmv7hfruby30-octokit-4.21.0.tgz
NetBSD 9.0earmv7hfruby26-octokit-4.21.0.tgz
NetBSD 9.0earmv7hfruby27-octokit-4.21.0.tgz
NetBSD 9.0earmv7hfruby30-octokit-4.21.0.tgz
NetBSD 9.0i386ruby25-octokit-4.20.0.tgz
NetBSD 9.0i386ruby26-octokit-4.20.0.tgz
NetBSD 9.0i386ruby27-octokit-4.20.0.tgz
NetBSD 9.0i386ruby30-octokit-4.20.0.tgz
NetBSD 9.0i386ruby26-octokit-4.21.0.tgz
NetBSD 9.0i386ruby27-octokit-4.21.0.tgz
NetBSD 9.0i386ruby30-octokit-4.21.0.tgz
NetBSD 9.0i386ruby26-octokit-4.21.0.tgz
NetBSD 9.0i386ruby27-octokit-4.21.0.tgz
NetBSD 9.0i386ruby30-octokit-4.21.0.tgz
NetBSD 9.0mips64ebruby26-octokit-4.21.0.tgz
NetBSD 9.0mips64ebruby27-octokit-4.21.0.tgz
NetBSD 9.0mips64ebruby30-octokit-4.21.0.tgz
NetBSD 9.0mips64ebruby25-octokit-4.18.0.tgz
NetBSD 9.0mips64ebruby26-octokit-4.18.0.tgz
NetBSD 9.0mips64ebruby27-octokit-4.18.0.tgz
NetBSD 9.0mips64ebruby25-octokit-4.18.0.tgz
NetBSD 9.0mips64ebruby26-octokit-4.18.0.tgz
NetBSD 9.0mips64ebruby27-octokit-4.18.0.tgz
NetBSD 9.0mips64ebruby26-octokit-4.21.0.tgz
NetBSD 9.0mips64ebruby27-octokit-4.21.0.tgz
NetBSD 9.0mips64ebruby30-octokit-4.21.0.tgz
NetBSD 9.0powerpcruby26-octokit-4.21.0.tgz
NetBSD 9.0powerpcruby27-octokit-4.21.0.tgz
NetBSD 9.0powerpcruby30-octokit-4.21.0.tgz
NetBSD 9.0powerpcruby25-octokit-4.20.0.tgz
NetBSD 9.0powerpcruby26-octokit-4.20.0.tgz
NetBSD 9.0powerpcruby27-octokit-4.20.0.tgz
NetBSD 9.0powerpcruby30-octokit-4.20.0.tgz
NetBSD 9.0powerpcruby26-octokit-4.21.0.tgz
NetBSD 9.0powerpcruby27-octokit-4.21.0.tgz
NetBSD 9.0powerpcruby30-octokit-4.21.0.tgz
NetBSD 9.0powerpcruby26-octokit-4.21.0.tgz
NetBSD 9.0powerpcruby27-octokit-4.21.0.tgz
NetBSD 9.0powerpcruby30-octokit-4.21.0.tgz
NetBSD 9.0sparc64ruby26-octokit-4.21.0.tgz
NetBSD 9.0sparc64ruby27-octokit-4.21.0.tgz
NetBSD 9.0sparc64ruby30-octokit-4.21.0.tgz
NetBSD 9.0sparc64ruby25-octokit-4.20.0.tgz
NetBSD 9.0sparc64ruby26-octokit-4.20.0.tgz
NetBSD 9.0sparc64ruby27-octokit-4.20.0.tgz
NetBSD 9.0sparc64ruby30-octokit-4.20.0.tgz
NetBSD 9.0sparc64ruby26-octokit-4.21.0.tgz
NetBSD 9.0sparc64ruby27-octokit-4.21.0.tgz
NetBSD 9.0sparc64ruby30-octokit-4.21.0.tgz
NetBSD 9.0sparcruby25-octokit-4.18.0.tgz
NetBSD 9.0sparcruby27-octokit-4.18.0.tgz
NetBSD 9.0sparcruby25-octokit-4.18.0.tgz
NetBSD 9.0sparcruby27-octokit-4.18.0.tgz
NetBSD 9.0sparcruby27-octokit-4.21.0.tgz
NetBSD 9.0sparcruby30-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby26-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby27-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby30-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby26-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby27-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby30-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby25-octokit-4.20.0.tgz
NetBSD 9.0x86_64ruby26-octokit-4.20.0.tgz
NetBSD 9.0x86_64ruby27-octokit-4.20.0.tgz
NetBSD 9.0x86_64ruby30-octokit-4.20.0.tgz
NetBSD 9.0x86_64ruby26-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby27-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby30-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby26-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby27-octokit-4.21.0.tgz
NetBSD 9.0x86_64ruby30-octokit-4.21.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.